#version 150

in vec3 i_position;
in vec2 i_texcoord;

uniform mat4 u_model;
uniform mat4 u_view;
uniform mat4 u_projection;

out vec2 io_uv;

void main() {

   gl_Position = u_projection * u_view * u_model * vec4(i_position, 1.0);
   io_uv = i_texcoord;
}
