#version 150

in vec3 i_position;
in vec2 i_texcoord;
in vec3 i_color;

uniform mat4 u_projection;

out vec2 io_uv;
out vec3 io_color;

void main() {

   gl_Position = u_projection * vec4(i_position, 1.0);

   io_uv = i_texcoord;
   io_color = i_color;
}
