#version 150

in vec3 i_position;
in vec3 i_color;

uniform mat4 u_view;
uniform mat4 u_projection;

out vec3 io_color;

void main() {
   gl_Position = u_projection * u_view * vec4(i_position, 1.0);
   io_color = i_color;
}
