#version 150

uniform sampler2D u_texture;

in vec2 io_uv;
in vec3 io_color;
out vec4 o_color;

void main() {

   vec4 texColor = texture(u_texture, io_uv);

   if (texColor.w < 0.1)
      discard;

   o_color = texColor * vec4(io_color, 1.0);
}
