#version 150
#extension GL_ARB_separate_shader_objects : enable

in vec2 TexCoord;
out vec4 FragColor;

uniform sampler2D u_texture;

void main()
{
   FragColor = texture(u_texture, TexCoord);
   FragColor.a = 0.65;
   
   if (FragColor.r > 0.7)
      discard;
}