#version 150

in vec2 io_uv;
in vec3 io_color;

uniform sampler2D u_texture;

out vec4 o_color;

void main() {

   vec4 color = texture(u_texture, io_uv);

   if (color.r <= 0.5 && color.g <= 0.5 && color.b <= 0.5)
	discard;

   o_color = vec4(io_color.r * color.r, io_color.r * color.g, io_color.r * color.b, 1.0); 
}
