#version 150

in vec3 i_position;
in vec3 i_normal;
in vec2 i_texcoord;

uniform mat4 u_model;
uniform mat4 u_view;
uniform mat4 u_projection;

out vec3 io_normal;
out vec2 io_uv;

void main() {

   gl_Position = u_projection * vec4(i_position, 1.0);
   io_normal = i_normal;
   io_uv = i_texcoord;
}
